### Method

# WebKit2 ScriptDialog confirm_set_confirmed

#### Declaration [src]

    void
    webkit_script_dialog_confirm_set_confirmed (
      WebKitScriptDialog* dialog,
      gboolean confirmed
    )

#### Description [src]

Set whether the user confirmed the dialog.

This method is used for `WEBKIT_SCRIPT_DIALOG_CONFIRM` and `WEBKIT_SCRIPT_DIALOG_BEFORE_UNLOAD_CONFIRM` dialogs when `WebKitWebView::script-dialog` signal is emitted to set whether the user confirmed the dialog or not. The default implementation of `WebKitWebView::script-dialog` signal sets `TRUE` when the OK or Stay buttons are clicked and `FALSE` otherwise. It’s an error to use this method with a `WebKitScriptDialog` that is not of type `WEBKIT_SCRIPT_DIALOG_CONFIRM` or `WEBKIT_SCRIPT_DIALOG_BEFORE_UNLOAD_CONFIRM`.

#### Parameters

`confirmed`

  Type: `gboolean`

  Whether user confirmed the dialog.